import rhinoscriptsyntax as rhino
import math

def draw_parametric_curve(function, param_range, num_points = 13):
    points = []
    for i in range(num_points): 
        t = param_range[0] + (param_range[1] - param_range[0]) * float(i)/float(num_points - 1)
        points.append(function(t)) 

    # for p in points:
    #     rhino.AddPoint(p)
    rhino.AddInterpCurve(points)

def helix(t):
    return [10*math.cos(t), 10*math.sin(t), 10*t]

draw_parametric_curve(helix, (0, 2*math.pi))